;======================================================================
;                    M A S T E R . C M D 
;                    doc: Tue Jun 15 11:46:07 2004
;                    dlm: Fri Jan  7 23:25:34 2011
;                    (c) 2004 A.M. Thurnherr
;                    uE-Info: 22 1 NIL 0 0 72 2 2 8 NIL ofnI
;======================================================================

; This is the default master/downlooker command file

; NOTES:
;   - this version requires firmware 16.30 or higher
;   - should contain only commands that change factory defaults
;   - assumes that WM15 (LADCP) mode is installed
;   - collect data in beam coordinates
;   - staggered single-ping ensembles every 1.3s/1.5s
;   - narrow bandwidth
;   - 25x 8m cells

; HISTORY:
;   Jan  7, 2011: - created for Firmware 16.30 or higher from old version
;		  - increased pinging rate

WM15			; water mode 15 (LADCP)

TC2			; ensembles per burst
LP1			; pings per ensemble
TB 00:00:02.80		; time per burst
TE 00:00:01.30		; time per ensemble
TP 00:00.00		; time between pings

LN25			; number of depth cells
LS0800			; bin size [cm]
LF0			; blank after transmit [cm]

LW1			; narrow bandwidth LADCP mode
LV400			; ambiguity velocity [cm/s]

SM1			; master
SA011			; send pulse before each ensemble
SB0			; disable hardware-break detection on Channel B (ICN118)
SW5500			; wait .5500 s after sending sync pulse
SI0			; # of ensembles to wait before sending sync pulse

EZ0011101		; Sensor source:
			;	- manual speed of sound (EC)
			;	- manual depth of transducer (ED = 0 [dm])
			;	- measured heading (EH)
			;	- measured pitch (EP)
			;	- measured roll (ER)
			;	- manual salinity (ES = 35 [psu])
			;	- measured temperature (ET)

EX00100			; coordinate transformation:
			;	- radial beam coordinates (2 bits)
			;	- use pitch/roll (not used for beam coords?)
			;	- no 3-beam solutions
			;	- no bin mapping

CF11101			; Flow control:
			;	- automatic ensemble cycling (next ens when ready)
			;	- automatic ping cycling (ping when ready)
			;	- binary data output
			;	- disable serial output
			;	- enable data recorder

CK			; keep params as user defaults (across power failures)
CS			; start pinging
